document.addEventListener('DOMContentLoaded', function() {
    // Add smooth scrolling to all links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Add citation copy functionality
    document.querySelectorAll('.references li').forEach(reference => {
        reference.addEventListener('click', function() {
            navigator.clipboard.writeText(this.textContent)
                .then(() => {
                    const originalText = this.textContent;
                    this.style.backgroundColor = '#e2e8f0';
                    setTimeout(() => {
                        this.style.backgroundColor = 'transparent';
                    }, 200);
                });
        });
    });

    // Add responsive table handling
    const tables = document.querySelectorAll('table');
    tables.forEach(table => {
        const wrapper = document.createElement('div');
        wrapper.style.overflowX = 'auto';
        table.parentNode.insertBefore(wrapper, table);
        wrapper.appendChild(table);
    });
});